org.apache.ignite.spi.indexing

## Class IndexingQueryCacheFilter

- java.lang.Object
- - org.apache.ignite.spi.indexing.IndexingQueryCacheFilter

    public class IndexingQueryCacheFilter
    extends Object

Indexing query filter for specific cache.

### Constructor Summary

Constructors
Constructor and Description
`IndexingQueryCacheFilter(GridCacheAffinityManager aff, Set<Integer> parts, AffinityTopologyVersion topVer, ClusterNode locNode)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `apply(Object key)` Apply filter.
`boolean` `applyPartition(int part)` Apply filter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndexingQueryCacheFilter

    public IndexingQueryCacheFilter(GridCacheAffinityManager aff,
                                    Set<Integer> parts,
                                    AffinityTopologyVersion topVer,
                                    ClusterNode locNode)

Constructor.

Parameters:
  `aff` - Affinity.
  `parts` - Partitions.
  `topVer` - Topology version.
  `locNode` - Local node.

### Method Detail

#### apply

    public boolean apply(Object key)

Apply filter.

Parameters:
  `key` - Key.
Returns:
  `True` if passed.

#### applyPartition

    public boolean applyPartition(int part)

Apply filter.

Parameters:
  `part` - Partition.
Returns:
  `True` if passed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020